petsc-3.12.1 2019-10-22
Report Typos and Errors

# TaoSetUp

Sets up the internal data structures for the later use of a Tao solver

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoSetUp(Tao tao)

Collective on tao

### Input Parameters

tao -the TAO context

### Notes

The user will not need to explicitly call TaoSetUp(), as it will automatically be called in TaoSolve(). However, if the user desires to call it explicitly, it should come after TaoCreate() and any TaoSetSomething() routines, but before TaoSolve().

### See Also

TaoCreate(), TaoSolve()

### Level

advanced

### Location

src/tao/interface/taosolver.c

### Implementations

TaoSetUp_BNCG in src/tao/bound/impls/bncg/bncg.c
TaoSetUp_BNK in src/tao/bound/impls/bnk/bnk.c
TaoSetUp_BQNK in src/tao/bound/impls/bqnk/bqnk.c
TaoSetUp_ASFLS in src/tao/complementarity/impls/asls/asfls.c
TaoSetUp_ASILS in src/tao/complementarity/impls/asls/asils.c
TaoSetUp_SSFLS in src/tao/complementarity/impls/ssls/ssfls.c
TaoSetUp_SSILS in src/tao/complementarity/impls/ssls/ssils.c
TaoSetUp_BRGN in src/tao/leastsquares/impls/brgn/brgn.c
TaoSetUp_POUNDERS in src/tao/leastsquares/impls/pounders/pounders.c
TaoSetUp_CG in src/tao/unconstrained/impls/cg/taocg.c
TaoSetUp_LMVM in src/tao/unconstrained/impls/lmvm/lmvm.c
TaoSetUp_NM in src/tao/unconstrained/impls/neldermead/neldermead.c
TaoSetUp_NLS in src/tao/unconstrained/impls/nls/nls.c
TaoSetUp_NTL in src/tao/unconstrained/impls/ntl/ntl.c
TaoSetUp_NTR in src/tao/unconstrained/impls/ntr/ntr.c
TaoSetUp_OWLQN in src/tao/unconstrained/impls/owlqn/owlqn.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages